Save Finance Offer Product Associations
1 min
POST
https://api.upstartcommerce.com/v1/finance-offers/{offerId}/products
offerIdstring<uuid>The offer id used for lookups.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject<p>A list of catalog product ids associated with a finance offer.
Used as both the request body for POST/DELETE and the response body for GET on the
/finance-offers/{offerId}/products endpoints.</p>
200Associations saved.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/finance-offers/{offerId}/products \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"productIds": []
}'